summaryrefslogtreecommitdiff
path: root/tcwg-generate-source-cache.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-04-12 11:14:10 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-04-19 08:11:16 +0000
commiteba3e45a83308dcaffe0c07ad30711ffbce8c663 (patch)
tree23f6660c54a8af567003275bf7984d08747252e4 /tcwg-generate-source-cache.sh
parent927890c01e6a98707af7c8161b51ca46c06d4aaa (diff)
tcwg-generate-source-cache.sh: Move code from YAML file
Change-Id: Ib6fd444b8dabd214525182ef59852595452f3471
Diffstat (limited to 'tcwg-generate-source-cache.sh')
-rwxr-xr-xtcwg-generate-source-cache.sh27
1 files changed, 26 insertions, 1 deletions
diff --git a/tcwg-generate-source-cache.sh b/tcwg-generate-source-cache.sh
index ee6fc48a..4b47cbab 100755
--- a/tcwg-generate-source-cache.sh
+++ b/tcwg-generate-source-cache.sh
@@ -84,6 +84,31 @@ generate_snapshots ()
rm -f ${snapshots_dir}-new/md5sums
}
+generate_misc_files ()
+{
+ set -e
+ $verbose
+
+ # Distribute Foundation Model to the builders so that containers
+ # running there can access Foundation Model via a bind-mount for
+ # bare-metal testing.
+ tar xf $HOME/public_html/infrastructure/FM000-KT-00035-r9p5-41rel0.tgz -C $HOME/${snapshots_dir}-new
+ chmod -R ugo+rx $HOME/${snapshots_dir}-new/Foundation_Platformpkg
+
+ # Clone the Linux kernel if not already
+ # present. Subsequent calls will update it.
+ linux_git=$HOME/${snapshots_dir}-new/linux.git
+ if [ ! -d ${linux_git} ]; then
+ git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git ${linux_git}
+ fi
+
+ # Add a 'next' remote for linux-next, if not already present
+ count=$(git -C ${linux_git} remote | grep -c next || true)
+ if [ $count -eq 0 ]; then
+ git -C ${linux_git} remote add next git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
+ fi
+}
+
update_git_repos () {
set -e
$verbose
@@ -114,7 +139,7 @@ if $generate_llvm; then
fi
if $generate_misc; then
- :
+ generate_misc_files
fi
if $update_git; then